 package com.huimv.acquisition.controller;

 import com.huimv.acquisition.entity.DeviceOffLineAlarmEntity;
 import com.huimv.acquisition.result.R;
 import com.huimv.acquisition.service.DeviceOffLineAlarmService;
 import com.huimv.acquisition.utils.PageUtils;
 import org.springframework.beans.factory.annotation.Autowired;
 import org.springframework.web.bind.annotation.*;

 import java.util.Arrays;
 import java.util.Map;


 /**
  *
  *
  * @author yinhao
  * @version ${version}
  * @date 2021-08-05 21:54:09
  */
 @RestController
 @RequestMapping("management/deviceofflinealarm")
 public class DeviceOffLineAlarmController {
     @Autowired
     private DeviceOffLineAlarmService deviceOffLineAlarmService;

     /**
      * 列表
      */
     @RequestMapping("/list")
     public R list(@RequestParam Map<String, Object> params){
         PageUtils page = deviceOffLineAlarmService.queryPage(params);

         return R.ok().put("page", page);
     }


     /**
      * 信息
      */
     @RequestMapping("/info/{id}")
     public R info(@PathVariable("id") Integer id){
         DeviceOffLineAlarmEntity deviceOffLineAlarm = deviceOffLineAlarmService.getById(id);

         return R.ok().put("deviceOffLineAlarm", deviceOffLineAlarm);
     }

     /**
      * 保存
      */
     @RequestMapping("/save")
     public R save(@RequestBody DeviceOffLineAlarmEntity deviceOffLineAlarm){
         deviceOffLineAlarmService.save(deviceOffLineAlarm);

         return R.ok();
     }

     /**
      * 修改
      */
     @RequestMapping("/update")
     public R update(@RequestBody DeviceOffLineAlarmEntity deviceOffLineAlarm){
         deviceOffLineAlarmService.updateById(deviceOffLineAlarm);

         return R.ok();
     }

     /**
      * 删除
      */
     @RequestMapping("/delete")
     public R delete(@RequestBody Integer[] ids){
         deviceOffLineAlarmService.removeByIds(Arrays.asList(ids));

         return R.ok();
     }

 }
